diff --git a/nightly/flutter_bootstrap.js b/nightly/flutter_bootstrap.js
index cd9cef892..0192bacde 100644
--- a/nightly/flutter_bootstrap.js
+++ b/nightly/flutter_bootstrap.js
@@ -11,6 +11,6 @@ _flutter.buildConfig = {"engineRevision":"e672b006cb34c921db85b8e2f482ed3144a457
 
 _flutter.loader.load({
   serviceWorkerSettings: {
-    serviceWorkerVersion: "272131781"
+    serviceWorkerVersion: "1885782574"
   }
 });
diff --git a/nightly/flutter_service_worker.js b/nightly/flutter_service_worker.js
index 373a128fe..62513ef3a 100644
--- a/nightly/flutter_service_worker.js
+++ b/nightly/flutter_service_worker.js
@@ -46,7 +46,7 @@ const RESOURCES = {"main.dart.js_272.part.js": "09db3ee5a3c2a80be8a04d54e81af8e7
 "main.dart.js_269.part.js": "ebaa62ef0bebcff9a9f61582596eff70",
 "main.dart.js_236.part.js": "3ad8270f8f678aef932011d4525f3452",
 "version.json": "8edb4a10da08d1d0f56fa9aa2dba5d2c",
-"flutter_bootstrap.js": "6d1d1897316b3fed343e516c3471f572",
+"flutter_bootstrap.js": "57f924ee1308733cca46e36fdfb99565",
 "main.dart.js_256.part.js": "c12aec519ece0441c2715d53df55e13a",
 "manifest.json": "cc4b6aa791018840b65fd0b0e325b201",
 "main.dart.js_223.part.js": "fbb731849eaafff6841a73a8feabfa0c",
@@ -56,28 +56,29 @@ const RESOURCES = {"main.dart.js_272.part.js": "09db3ee5a3c2a80be8a04d54e81af8e7
 "main.dart.js_224.part.js": "734ab7b0c710d6edc3ea4df4b09cfb98",
 "main.dart.js_274.part.js": "2f5a342169ad5082cb316e18dbe6c85c",
 "main.dart.js_289.part.js": "7cfdcbf445ce1bf4f211efd5d3b2b805",
-"main.dart.js": "400954b9705dca4ebe4dffa34ecfcc39",
+"main.dart.js": "58a59210e05065ab085cafff77e4dca8",
 "main.dart.js_277.part.js": "5ebeccab97e35a0191fbef48f50cc1ad",
 "main.dart.js_2.part.js": "81a750809dd1fb2b074db9c419829e66",
 "main.dart.js_234.part.js": "8556c3cd09666129f8ec3058b5287c67",
 "main.dart.js_232.part.js": "7c3e30b15e5862c85a0c62651cbd2afc",
 "main.dart.js_215.part.js": "988c1e19d815f94368ddfac06286b2d1",
 "main.dart.js_281.part.js": "e499ce60c0434398169bddc58c8e299b",
-"index.html": "511d9b2d5ffc01e83770074279569fc9",
-"/": "511d9b2d5ffc01e83770074279569fc9",
+"index.html": "383fd1a2cfb690327838409b982f7f86",
+"/": "383fd1a2cfb690327838409b982f7f86",
 "main.dart.js_271.part.js": "21d897027c5f1588bd430da0d52801be",
 "main.dart.js_200.part.js": "ea55e5cf450ed2707d486b6e020a8998",
 "main.dart.js_1.part.js": "16dc18b40270e4c8bf0d4f001d652e63",
 "main.dart.js_283.part.js": "74a151eead14b45038bdbd2b5c51f328",
-"assets/AssetManifest.json": "5606bcb8d476e740a799889f97124dd9",
+"assets/AssetManifest.json": "630cf4891ec2cead2166510c46fa4dcf",
 "assets/shaders/ink_sparkle.frag": "ecc85a2e95f5e9f53123dcaf8cb9b6ce",
 "assets/fonts/Ubuntu/Ubuntu-BoldItalic.ttf": "c16e64c04752a33fc51b2b17df0fb495",
 "assets/fonts/Ubuntu/Ubuntu-Italic.ttf": "9f353a170ad1caeba1782d03dd8656b5",
 "assets/fonts/Ubuntu/Ubuntu-Bold.ttf": "896a60219f6157eab096825a0c9348a8",
+"assets/fonts/Ubuntu/Ubuntu-Medium.ttf": "d3c3b35e6d478ed149f02fad880dd359",
 "assets/fonts/Ubuntu/Ubuntu-Regular.ttf": "84ea7c5c9d2fa40c070ccb901046117d",
 "assets/fonts/Ubuntu/UbuntuMono-Regular.ttf": "c8ca9c5cab2861cf95fc328900e6f1a3",
 "assets/fonts/MaterialIcons-Regular.otf": "56c8c0b2224c70b4ae11109ad3dc15b6",
-"assets/AssetManifest.bin": "ca7d99dadef7fa74c8ff737fc3160bb7",
+"assets/AssetManifest.bin": "d259b9a0fc450fbd5e01a9695fb80161",
 "assets/packages/flutter_map/lib/assets/flutter_map_logo.png": "208d63cc917af9713fc9572bd5c09362",
 "assets/packages/handy_window/assets/handy-window.css": "0434ee701235cf1c72458fd4ce022a64",
 "assets/packages/handy_window/assets/handy-window-dark.css": "45fb3160206a5f74c0a9f1763c00c372",
@@ -85,8 +86,8 @@ const RESOURCES = {"main.dart.js_272.part.js": "09db3ee5a3c2a80be8a04d54e81af8e7
 "assets/packages/wakelock_plus/assets/no_sleep.js": "7748a45cd593f33280669b29c2c8919a",
 "assets/packages/record_web/assets/js/record.worklet.js": "356bcfeddb8a625e3e2ba43ddf1cc13e",
 "assets/packages/record_web/assets/js/record.fixwebmduration.js": "1f0108ea80c8951ba702ced40cf8cdce",
-"assets/FontManifest.json": "3535e1991eb6c27bc5931452ad32e0c6",
-"assets/AssetManifest.bin.json": "f405440ac7652d7fc9dd0d5020ee38bb",
+"assets/FontManifest.json": "47ac216e0fb8da302b2867e98c9e3ca3",
+"assets/AssetManifest.bin.json": "e9f7fa3c09f12a61d725d5e666f6e737",
 "assets/NOTICES": "224ebdd6c0f86e1033d76c5e74cd4ff5",
 "assets/assets/js/package/olm.wasm": "1bee19214b0a80e2f498922ec044f470",
 "assets/assets/js/package/olm.js": "1c13112cb119a2592b9444be60fdad1f",
